Skip to main content
POST
/
comparisons
curl -X POST "https://YOUR_BASE_URL/comparisons" \
  -H "Authorization: Bearer <api-key>" \
  -H "Workspace-Id: <workspace-id>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "orders table comparison",
    "source_datasource_id": "aaaaaaaa-0000-0000-0000-000000000001",
    "target_datasource_id": "bbbbbbbb-0000-0000-0000-000000000002",
    "source_dataset_id": "cccccccc-0000-0000-0000-000000000003",
    "target_dataset_id": "dddddddd-0000-0000-0000-000000000004",
    "configuration": {
      "source_columns": ["order_id", "customer_id", "total"],
      "target_columns": ["order_id", "customer_id", "total"],
      "primary_keys_source": ["order_id"],
      "primary_keys_target": ["order_id"]
    }
  }'
{
  "message": "Comparison created successfully",
  "data": {
    "id": "eeeeeeee-0000-0000-0000-000000000005",
    "name": "orders table comparison",
    "source_dataset_id": "cccccccc-0000-0000-0000-000000000003",
    "target_dataset_id": "dddddddd-0000-0000-0000-000000000004",
    "configuration": {
      "source_columns": ["order_id", "customer_id", "total"],
      "target_columns": ["order_id", "customer_id", "total"],
      "primary_keys_source": ["order_id"],
      "primary_keys_target": ["order_id"],
      "case_sensitive": false,
      "quick_comparison": false
    },
    "workspace_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "user_id": "ffffffff-0000-0000-0000-000000000006"
  }
}
Authorization
string
required
Bearer token. Format: Bearer <api-key>
Workspace-Id
string
required
Your workspace UUID.
create_only
boolean
default:"false"
If true, creates the comparison without triggering execution.
name
string
required
Display name for the comparison.
source_datasource_id
string
required
UUID of the source data source.
target_datasource_id
string
required
UUID of the target data source.
source_dataset_id
string
UUID or name of the source dataset. Required if source_query is not set.
target_dataset_id
string
UUID or name of the target dataset. Required if target_query is not set.
configuration
object
required
Comparison configuration.

Response

data
object
The created comparison.
message
string
Status message.
curl -X POST "https://YOUR_BASE_URL/comparisons" \
  -H "Authorization: Bearer <api-key>" \
  -H "Workspace-Id: <workspace-id>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "orders table comparison",
    "source_datasource_id": "aaaaaaaa-0000-0000-0000-000000000001",
    "target_datasource_id": "bbbbbbbb-0000-0000-0000-000000000002",
    "source_dataset_id": "cccccccc-0000-0000-0000-000000000003",
    "target_dataset_id": "dddddddd-0000-0000-0000-000000000004",
    "configuration": {
      "source_columns": ["order_id", "customer_id", "total"],
      "target_columns": ["order_id", "customer_id", "total"],
      "primary_keys_source": ["order_id"],
      "primary_keys_target": ["order_id"]
    }
  }'
{
  "message": "Comparison created successfully",
  "data": {
    "id": "eeeeeeee-0000-0000-0000-000000000005",
    "name": "orders table comparison",
    "source_dataset_id": "cccccccc-0000-0000-0000-000000000003",
    "target_dataset_id": "dddddddd-0000-0000-0000-000000000004",
    "configuration": {
      "source_columns": ["order_id", "customer_id", "total"],
      "target_columns": ["order_id", "customer_id", "total"],
      "primary_keys_source": ["order_id"],
      "primary_keys_target": ["order_id"],
      "case_sensitive": false,
      "quick_comparison": false
    },
    "workspace_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "user_id": "ffffffff-0000-0000-0000-000000000006"
  }
}